import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import classNames from 'classnames';

/**
 * Buttons come in various styles and inherit
 * all properties of a standard html button.
 */
var Button = function Button(props) {
  var variant = props.variant,
      isActive = props.isActive,
      text = props.text,
      className = props.className,
      Tag = props.tag,
      rest = _objectWithoutProperties(props, ["variant", "isActive", "text", "className", "tag"]);

  var btnClass = classNames(['btn', className, _defineProperty({
    active: isActive
  }, "btn-".concat(variant), variant)]);
  return React.createElement(Tag, Object.assign({
    className: btnClass
  }, rest), text);
};

Button.defaultProps = {
  variant: '',
  type: 'button',
  className: '',
  tag: 'button'
};
export default Button;